slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGComputeBoundingBox

Determines the endpoints of a rectangle in the complex plane that contains the region.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGComputeBoundingBox(RG rg,PetscReal *a,PetscReal *b,PetscReal *c,PetscReal *d)

Not Collective

### Input Parameter

| rg | - the region context

### Output Parameters

| a | - left endpoint of the bounding box in the real axis
| b | - right endpoint of the bounding box in the real axis
| c | - bottom endpoint of the bounding box in the imaginary axis
| d | - top endpoint of the bounding box in the imaginary axis

### Notes

The bounding box is defined as [a,b]x[c,d]. In regions that are not bounded (e.g. an open interval) or with the complement flag set, it makes no sense to compute a bounding box, so the return values are infinite.

### See Also

RGComputeContour()

### Level

intermediate

### Location

src/sys/classes/rg/interface/rgbasic.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages